#ifndef _PIECE_H
#define _PIECE_H

#define PAD_RI 0x01
#define PAD_LF 0x02
#define PAD_DN 0x04
#define PAD_UP 0x08
#define PAD_B  0x10
#define PAD_A  0x20
#define PAD_D  0x40
#define PAD_C  0x80

#define TRG_RI 0x0100
#define TRG_LF 0x0200
#define TRG_DN 0x0400
#define TRG_UP 0x0800
#define TRG_B  0x1000
#define TRG_A  0x2000
#define TRG_D  0x4000
#define TRG_C  0x8000

#define TRG_ST  0x10000

extern unsigned char pltVal[2];
extern unsigned short pltTbl[20];

//extern int pceFontPrintf(const char *fmt, ... );
extern int pceFontPrintf(const char *fmt);
extern void pceFontSetTxColor(int color);
extern void pceFontSetBkColor(int color);
extern void pceFontSetPos(int x, int y);
extern void pceFontSetType(int type);

extern void pceLCDDispStop();
extern void pceLCDDispStart();
extern unsigned char *pceLCDSetBuffer(unsigned char *pbuff);
extern void pceLCDTrans();

extern void pceAppSetProcPeriod(int period);
extern void pceAppReqExit(int c);

extern int pcePadGet();
extern void pceAppProc(void);
extern void pceAppInit(void);

#endif
